> For the complete documentation index, see [llms.txt](https://docs.enclaive.cloud/vault/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enclaive.cloud/vault/api/system-backend/sys-config-reload.md).

# /sys/config/reload

The `sys/config/reload` endpoint allows reloading specific parts of Vault's configuration. Currently, it only supports reloading license information from files on disk.

| Method | Path                            |
| ------ | ------------------------------- |
| `POST` | `/sys/config/reload/:subsystem` |

#### Parameters

* `subsystem` `(string: <required>)` - Specifies the subsystem for Vault to reload. This is part of the request URL.

### Reload license file

When the `:subsystem` URL parameter is specified as `license`, Vault re-reads the license file if the license was provided using the `license_path` configuration option or the `VAULT_LICENSE_PATH` environment variable. The updated license is applied to Vault, and Vault will then enable/disable licensed features if the features of the given license are different from those of the license Vault is currently using.

#### Sample request

```shell-session
$ curl \
  -X POST \
  --header "X-Vault-Token: ..." \
    'http://127.0.0.1:8200/v1/sys/config/reload/license'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-config-reload.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
